import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs';

import { BeerSaleReport } from './beer-sale-report';
import { BeerSaleReportService } from './beer-sale-report.service';

@Injectable({
  providedIn: 'root',
})
export class BeerSaleReportResolver implements Resolve<BeerSaleReport> {
  constructor(private ser: BeerSaleReportService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<BeerSaleReport> {
    const startDate = route.queryParamMap.get('startDate') ?? null;
    const finishDate = route.queryParamMap.get('finishDate') ?? null;
    const regular = route.queryParamMap.get('regular') !== 'false';
    const happy = route.queryParamMap.get('happy') !== 'false';
    const staff = route.queryParamMap.get('staff') !== 'false';
    const nc = route.queryParamMap.get('nc') !== 'false';
    return this.ser.get(startDate, finishDate, regular, happy, staff, nc);
  }
}
