import { DataSource } from '@angular/cdk/collections';
import { Observable } from 'rxjs';
import { tap } from 'rxjs/operators';

import { MenuCategory } from '../../core/menu-category';

export class MenuCategoryListDatasource extends DataSource<MenuCategory> {
  private data: MenuCategory[] = [];

  constructor(private readonly dataObs: Observable<MenuCategory[]>) {
    super();
    this.dataObs = dataObs.pipe(
      tap((x) => {
        this.data = x;
      }),
    );
  }

  connect(): Observable<MenuCategory[]> {
    return this.dataObs;
  }

  disconnect() {}
}
