import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs';

import { Printer } from '../core/printer';

import { PrinterService } from './printer.service';

@Injectable({
  providedIn: 'root',
})
export class PrinterResolver implements Resolve<Printer> {
  constructor(private ser: PrinterService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<Printer> {
    const id = route.paramMap.get('id');
    return this.ser.get(id);
  }
}
